<div class="container-emp custom-container-2-emp">
	<div class="w3-panel w3-round-small w3-teal">
		<h3>
			<span *ngIf="index == undefined">employees</span>
			<span *ngIf="index != undefined">employees Update</span> 
			<a routerLink="/" class="w3-button w3-green custom-button">
				<i class="w3-medium fa fa-chevron-left"></i> Back
			</a>
		</h3>
	</div>
  <!-- Show it when there is no employee -->
  <div class="no-data text-center" *ngIf="Employee.length == 0">
    <p>There is no employee added yet!</p>
    <button class="btn btn-outline-primary" routerLink="/create-employee">Add Empoyee</button>
  </div>

  <!-- Employees list table, it hides when there is no employee -->
  <div *ngIf="Employee.length !== 0">
    <h3 class="mb-3 text-center">Employees List</h3>

    <div class="col-md-12">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">User Id</th>
            <th scope="col">Name</th>
            <th scope="col">Email</th>
            <th scope="col">Phone</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let employee of Employee">
            <td>{{employee.id}}</td>
            <td>{{employee.name}}</td>
            <td>{{employee.email}}</td>
            <td>{{employee.phone}}</td>
            <td>
              <span class="edit" routerLink="/updateemp/{{employee.id}}">Edit</span>
              <span style="margin: 0 10px"></span>
              <span class="delete" (click)="deleteEmployee(employee.id)">Delete</span>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

  </div>

</div>